interactions:
- request:
    body: '{"createTransactionModel": {"companyCode": "DEFAULT", "type": "SalesOrder",
      "lines": [{"quantity": 3, "amount": "15.00", "taxCode": "O9999999", "taxIncluded":
      true, "itemCode": "123", "discounted": false, "description": "Test product",
      "ref1": "123"}, {"quantity": 1, "amount": "10.000", "taxCode": "FR000000", "taxIncluded":
      true, "itemCode": "Shipping", "discounted": false, "description": null}], "code":
      "17c7d0b7-3cc3-4125-955b-009767cb7d70", "date": "2023-02-16", "customerCode":
      0, "discount": null, "addresses": {"shipFrom": {"line1": "Teczowa 7", "line2":
      "", "city": "Wroclaw", "region": "", "country": "PL", "postalCode": "53-601"},
      "shipTo": {"line1": "O\u0142awska 10", "line2": "", "city": "WROC\u0141AW",
      "region": "", "country": "PL", "postalCode": "53-105"}}, "commit": false, "currencyCode":
      "USD", "email": "user@email.com"}}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate, br
      Authorization:
      - Basic Og==
      Connection:
      - keep-alive
      Content-Length:
      - '844'
      User-Agent:
      - python-requests/2.28.2
    method: POST
    uri: https://sandbox-rest.avatax.com/api/v2/transactions/createoradjust
  response:
    body:
      string: '{"id":0,"code":"17c7d0b7-3cc3-4125-955b-009767cb7d70","companyId":7799660,"date":"2023-02-16","paymentDate":"2023-02-16","status":"Temporary","type":"SalesOrder","batchCode":"","currencyCode":"USD","exchangeRateCurrencyCode":"USD","customerUsageType":"","entityUseCode":"","customerVendorCode":"0","customerCode":"0","exemptNo":"","reconciled":false,"locationCode":"","reportingLocationCode":"","purchaseOrderNo":"","referenceCode":"","salespersonCode":"","totalAmount":20.33,"totalExempt":0.0,"totalDiscount":0.0,"totalTax":4.67,"totalTaxable":20.33,"totalTaxCalculated":4.67,"adjustmentReason":"NotAdjusted","locked":false,"version":1,"exchangeRateEffectiveDate":"2023-02-16","exchangeRate":1.0,"email":"user@email.com","modifiedDate":"2023-02-16T13:23:56.1978178Z","modifiedUserId":6479978,"taxDate":"2023-02-16","lines":[{"id":0,"transactionId":0,"lineNumber":"1","customerUsageType":"","entityUseCode":"","description":"Test
        product","discountAmount":0.0,"exemptAmount":0.0,"exemptCertId":0,"exemptNo":"","isItemTaxable":true,"itemCode":"123","lineAmount":12.2000,"quantity":3.0,"ref1":"123","ref2":"","reportingDate":"2023-02-16","tax":2.8,"taxableAmount":12.2,"taxCalculated":2.8,"taxCode":"O9999999","taxCodeId":9111,"taxDate":"2023-02-16","taxIncluded":true,"details":[{"id":0,"transactionLineId":0,"transactionId":0,"country":"PL","region":"PL","exemptAmount":0.0,"jurisCode":"PL","jurisName":"POLAND","stateAssignedNo":"","jurisType":"CNT","jurisdictionType":"Country","nonTaxableAmount":0.0,"rate":0.230000,"tax":2.8,"taxableAmount":12.2,"taxType":"Output","taxSubTypeId":"O","taxName":"Standard
        Rate","taxAuthorityTypeId":45,"taxCalculated":2.8,"rateType":"Standard","rateTypeCode":"S","unitOfBasis":"PerCurrencyUnit","isNonPassThru":false,"isFee":false,"reportingTaxableUnits":12.2,"reportingNonTaxableUnits":0.0,"reportingExemptUnits":0.0,"reportingTax":2.8,"reportingTaxCalculated":2.8,"liabilityType":"Seller"}],"nonPassthroughDetails":[],"hsCode":"","costInsuranceFreight":0.0,"vatCode":"PLS-230C","vatNumberTypeId":0},{"id":0,"transactionId":0,"lineNumber":"2","customerUsageType":"","entityUseCode":"","discountAmount":0.0,"exemptAmount":0.0,"exemptCertId":0,"exemptNo":"","isItemTaxable":true,"itemCode":"Shipping","lineAmount":8.1300,"quantity":1.0,"ref1":"","ref2":"","reportingDate":"2023-02-16","tax":1.87,"taxableAmount":8.13,"taxCalculated":1.87,"taxCode":"FR000000","taxCodeId":8550,"taxDate":"2023-02-16","taxIncluded":true,"details":[{"id":0,"transactionLineId":0,"transactionId":0,"country":"PL","region":"PL","exemptAmount":0.0,"jurisCode":"PL","jurisName":"POLAND","stateAssignedNo":"","jurisType":"CNT","jurisdictionType":"Country","nonTaxableAmount":0.0,"rate":0.230000,"tax":1.87,"taxableAmount":8.13,"taxType":"Output","taxSubTypeId":"O","taxName":"Standard
        Rate","taxAuthorityTypeId":45,"taxCalculated":1.87,"rateType":"Standard","rateTypeCode":"S","unitOfBasis":"PerCurrencyUnit","isNonPassThru":false,"isFee":false,"reportingTaxableUnits":8.13,"reportingNonTaxableUnits":0.0,"reportingExemptUnits":0.0,"reportingTax":1.87,"reportingTaxCalculated":1.87,"liabilityType":"Seller"}],"nonPassthroughDetails":[],"hsCode":"","costInsuranceFreight":0.0,"vatCode":"PLS-230D","vatNumberTypeId":0}],"addresses":[{"id":0,"transactionId":0,"boundaryLevel":"Zip5","line1":"Olawska
        10","line2":"","line3":"","city":"WROCLAW","region":"","postalCode":"53-105","country":"PL","taxRegionId":205102,"latitude":"","longitude":""},{"id":0,"transactionId":0,"boundaryLevel":"Zip5","line1":"Teczowa
        7","line2":"","line3":"","city":"Wroclaw","region":"","postalCode":"53-601","country":"PL","taxRegionId":205102,"latitude":"","longitude":""}],"summary":[{"country":"PL","region":"PL","jurisType":"Country","jurisCode":"PL","jurisName":"POLAND","taxAuthorityType":45,"stateAssignedNo":"","taxType":"Output","taxSubType":"O","taxName":"Standard
        Rate","rateType":"Standard","taxable":20.33,"rate":0.230000,"tax":4.67,"taxCalculated":4.67,"nonTaxable":0.0,"exemption":0.0}]}'
    headers:
      Connection:
      - keep-alive
      Content-Type:
      - application/json; charset=utf-8
      Date:
      - Thu, 16 Feb 2023 13:23:56 GMT
      Location:
      - /api/v2/companies/7799660/transactions/0
      ServerDuration:
      - '00:00:00.0244283'
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - nosniff
      api-supported-versions:
      - '2.0'
      cache-control:
      - private, no-cache, no-store
      referrer-policy:
      - same-origin
      strict-transport-security:
      - max-age=31536000; includeSubdomains
      x-avalara-uid:
      - 1b978298-d2af-45f9-8c08-6ce2f5672766
      x-correlation-id:
      - 1b978298-d2af-45f9-8c08-6ce2f5672766
      x-frame-options:
      - sameorigin
      x-permitted-cross-domain-policies:
      - none
      x-xss-protection:
      - 1; mode=block
    status:
      code: 201
      message: Created
- request:
    body: '{"createTransactionModel": {"companyCode": "DEFAULT", "type": "SalesOrder",
      "lines": [{"quantity": 3, "amount": "15.00", "taxCode": "O9999999", "taxIncluded":
      true, "itemCode": "123", "discounted": false, "description": "Test product",
      "ref1": "123"}, {"quantity": 1, "amount": "10.000", "taxCode": "FR000000", "taxIncluded":
      true, "itemCode": "Shipping", "discounted": false, "description": null}], "code":
      "17c7d0b7-3cc3-4125-955b-009767cb7d70", "date": "2023-02-16", "customerCode":
      0, "discount": null, "addresses": {"shipFrom": {"line1": "Teczowa 7", "line2":
      "", "city": "Wroclaw", "region": "", "country": "PL", "postalCode": "53-601"},
      "shipTo": {"line1": "O\u0142awska 10", "line2": "", "city": "WROC\u0141AW",
      "region": "", "country": "PL", "postalCode": "53-105"}}, "commit": false, "currencyCode":
      "USD", "email": "user@email.com"}}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate, br
      Authorization:
      - Basic Og==
      Connection:
      - keep-alive
      Content-Length:
      - '844'
      User-Agent:
      - python-requests/2.28.2
    method: POST
    uri: https://sandbox-rest.avatax.com/api/v2/transactions/createoradjust
  response:
    body:
      string: '{"error": {"code": "AuthenticationException","message": "Authentication
        failed.","details": [{"code": "AuthenticationException","message": "Authentication
        failed.","description": "Missing authentication or unable to authenticate
        the user or the account.","faultCode": "Client","helpLink": "http://developer.avalara.com/avatax/errors/AuthenticationException"}]}}'
    headers:
      Connection:
      - keep-alive
      Content-Length:
      - '361'
      Content-Type:
      - application/json
      Date:
      - Thu, 16 Feb 2023 13:23:57 GMT
      X-Content-Type-Options:
      - nosniff
      x-avalara-uid:
      - 2fa275d9-6e3c-4707-9aba-37afcf57a95f
      x-correlation-id:
      - 2fa275d9-6e3c-4707-9aba-37afcf57a95f
    status:
      code: 401
      message: Unauthorized
version: 1
